Skip to content

Commit

Permalink
Merge pull request JaKooLit#136 from JaKooLit/main
Browse files Browse the repository at this point in the history
Main to Development synchronization
  • Loading branch information
JaKooLit authored Aug 26, 2024
2 parents f82fcf9 + d0605b5 commit f8a0c92
Show file tree
Hide file tree
Showing 5 changed files with 39 additions and 20 deletions.
4 changes: 4 additions & 0 deletions CHANGELOGS.md
Original file line number Diff line number Diff line change
@@ -1,5 +1,9 @@
## Changelogs

## 26 Aug 2024
- Set to uninstall rofi as conflicts with rofi-wayland
- added nvidia_drm.fbdev=1 for grub

## 14 Aug 2024
- added archlinux-keyring on base.sh

Expand Down
6 changes: 6 additions & 0 deletions README.md
Original file line number Diff line number Diff line change
Expand Up @@ -105,6 +105,12 @@ https://github.com/JaKooLit/Hyprland-Dots/assets/85185940/50d53755-0f11-45d6-991

## ✨ to use this script
> clone this repo (latest commit only) to reduce file size download by using git. Change directory, make executable and run the script
>[!IMPORTANT]
> Make sure you have base-devel installed
- Without base-devel installed, script will fail

```bash
git clone --depth=1 https://github.com/JaKooLit/Arch-Hyprland.git ~/Arch-Hyprland
cd ~/Arch-Hyprland
Expand Down
22 changes: 11 additions & 11 deletions install-scripts/00-hypr-pkgs.sh
Original file line number Diff line number Diff line change
Expand Up @@ -71,10 +71,11 @@ vim
yt-dlp
)

# List of packages to uninstall as it conflicts with swaync or causing swaync to not function properly
# List of packages to uninstall as it conflicts with swaync and rofi-wayland
uninstall=(
dunst
mako
rofi
)

## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
Expand All @@ -90,6 +91,15 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_hypr-pkgs.log"

# uninstalling conflicting packages
printf "\n%s - Removing Mako, Dunst and rofi-wayland as it conflicts with swaync and rofi-wayland \n" "${NOTE}"
for PKG in "${uninstall[@]}"; do
uninstall_package "$PKG" 2>&1 | tee -a "$LOG"
if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $PKG uninstallation failed, please check the log"
exit 1
fi
done

# Installation of main components
printf "\n%s - Installing hyprland packages.... \n" "${NOTE}"
Expand All @@ -102,15 +112,5 @@ for PKG1 in "${hypr_package[@]}" "${hypr_package_2[@]}" "${Extra[@]}"; do
fi
done

# Checking if mako or dunst is installed
printf "\n%s - Checking if mako or dunst are installed and removing for swaync to work properly \n" "${NOTE}"
for PKG in "${uninstall[@]}"; do
uninstall_package "$PKG" 2>&1 | tee -a "$LOG"
if [ $? -ne 0 ]; then
echo -e "\e[1A\e[K${ERROR} - $PKG uninstallation failed, please check the log"
exit 1
fi
done

clear

2 changes: 1 addition & 1 deletion install-scripts/Global_functions.sh
Original file line number Diff line number Diff line change
Expand Up @@ -69,7 +69,7 @@ uninstall_package() {
if pacman -Qi "$1" &>> /dev/null ; then
# Package is installed
echo -e "${NOTE} Uninstalling $1 ..."
sudo pacman -Rns --noconfirm "$1" 2>&1 | tee -a "$LOG"
sudo pacman -R --noconfirm "$1" 2>&1 | tee -a "$LOG"
# Making sure package is uninstalled
if ! pacman -Qi "$1" &>> /dev/null ; then
echo -e "\e[1A\e[K${OK} $1 was uninstalled."
Expand Down
25 changes: 17 additions & 8 deletions install-scripts/nvidia.sh
Original file line number Diff line number Diff line change
Expand Up @@ -67,19 +67,28 @@ else
printf "\n"
fi

# additional for GRUB users
# Additional for GRUB users
# Check if /etc/default/grub exists
if [ -f /etc/default/grub ]; then
# Check if nvidia_drm.modeset=1 is already present
# Check if nvidia-drm.modeset=1 is present
if ! sudo grep -q "nvidia-drm.modeset=1" /etc/default/grub; then
# Add nvidia_drm.modeset=1 to GRUB_CMDLINE_LINUX_DEFAULT
sudo sed -i 's/\(GRUB_CMDLINE_LINUX_DEFAULT=".*\)"/\1 nvidia-drm.modeset=1"/' /etc/default/grub
# Regenerate GRUB configuration
sudo grub-mkconfig -o /boot/grub/grub.cfg
# Add nvidia-drm.modeset=1 to GRUB_CMDLINE_LINUX_DEFAULT
sudo sed -i -e 's/\(GRUB_CMDLINE_LINUX_DEFAULT=".*\)"/\1 nvidia-drm.modeset=1"/' /etc/default/grub
echo "nvidia-drm.modeset=1 added to /etc/default/grub" 2>&1 | tee -a "$LOG"
else
echo "nvidia-drm.modeset=1 is already present in /etc/default/grub" 2>&1 | tee -a "$LOG"
fi

# Check if nvidia_drm.fbdev=1 is present
if ! sudo grep -q "nvidia_drm.fbdev=1" /etc/default/grub; then
# Add nvidia_drm.fbdev=1 to GRUB_CMDLINE_LINUX_DEFAULT
sudo sed -i -e 's/\(GRUB_CMDLINE_LINUX_DEFAULT=".*\)"/\1 nvidia_drm.fbdev=1"/' /etc/default/grub
echo "nvidia_drm.fbdev=1 added to /etc/default/grub" 2>&1 | tee -a "$LOG"
fi

# Regenerate GRUB configuration if any changes were made
if sudo grep -q "nvidia-drm.modeset=1" /etc/default/grub || sudo grep -q "nvidia_drm.fbdev=1" /etc/default/grub; then
sudo grub-mkconfig -o /boot/grub/grub.cfg
fi

else
echo "/etc/default/grub does not exist"
fi
Expand Down

0 comments on commit f8a0c92

Please sign in to comment.